Bug 197434 - unable to yum rpm = 4.4.2-24
unable to yum rpm = 4.4.2-24
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 08:41 EDT by Chitlesh GOORAH
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 08:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-07-01 08:41:56 EDT
Description of problem:
I was unable to install the latest version of rpm with yum

Version-Release number of selected component (if applicable):
rpm = 4.4.2-24 

How reproducible:
Everytime

Steps to Reproduce:
1. yum clean all
2. yum install rpm
3.
  
Actual results:
[root@noname ~]# yum clean all
Cleaning up Everything
[root@noname ~]# yum install rpm
Setting up Install Process
Setting up repositories
extras-development        100% |=========================| 1.1 kB    00:00
development               100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 907 kB    00:04
################################################## 2898/2898
primary.xml.gz            100% |=========================| 778 kB    00:40
################################################## 2180/2180
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for rpm to pack into transaction set.
rpm-4.4.2-26.i386.rpm     100% |=========================|  34 kB    00:02
---> Package rpm.i386 0:4.4.2-26 set to be updated
--> Running transaction check
--> Processing Dependency: rpm = 4.4.2-24 for package: rpm-libs
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 143, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 422, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 236, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 377, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 508, in
_requiringFromInstalled
    self.verbose_logger.log(logginglevels.DEBUG_25, 'TSINFO: Updating %s to
resolve dep.', po)
AttributeError: 'module' object has no attribute 'DEBUG_25'
[root@noname ~]#


Expected results:
install rpm correctly

Additional info:
Comment 1 Jeff Johnson 2006-07-04 13:57:26 EDT
This is a yum, not rpm, implementation problem.
Comment 2 Jeremy Katz 2006-07-05 08:59:24 EDT
Fixed in 2.9.2-2

Note You need to log in before you can comment on or make changes to this bug.